Project HermesHermes Docs

DNS Records

Manage DNS records for a domain

DNS Records

View and manage DNS records for your domains.

List DNS Records

  • id (integer) (required) — The domain ID
curl -H "Authorization: Bearer hermes_your_api_key" \
  https://api.hermes.camie.ai/v1/domains/1/dns

Response

{
  "success": true,
  "records": [
    { "type": "MX", "name": "@", "value": "mail.caliserever.com", "priority": 10 },
    { "type": "TXT", "name": "@", "value": "v=spf1 ip4:203.0.113.50 ~all" },
    { "type": "TXT", "name": "_dmarc", "value": "v=DMARC1; p=none" }
  ]
}

Add DNS Record

curl -X POST https://api.hermes.camie.ai/v1/domains/1/dns \
  -H "Authorization: Bearer hermes_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "TXT",
    "name": "@",
    "value": "v=spf1 ip4:203.0.113.50 ~all"
  }'

On this page